﻿' 
'    Copyright (c) 2011 Microsoft Corporation.  All rights reserved.
'    Use of this sample source code is subject to the terms of the Microsoft license 
'    agreement under which you licensed this sample source code and is provided AS-IS.
'    If you did not accept the terms of the license agreement, you are not authorized 
'    to use this sample source code.  For the terms of the license, please see the 
'    license agreement between you and Microsoft.
'  
'    To see the MSDN article about this app, visit http://go.microsoft.com/fwlink/?LinkId=247592 
'  
'
Imports System.Windows.Data
Imports FeedCast.ViewModels

Namespace Converters
    Public Class GroupToForegroundBrushValueConverter
        Implements IValueConverter

        Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.Convert
            Dim group As MainPageWhatsNewViewModel = TryCast(value, MainPageWhatsNewViewModel)
            Dim result As Object = Nothing

            If group IsNot Nothing Then
                If group.Count = 0 Then
                    result = CType(Application.Current.Resources("PhoneDisabledBrush"), SolidColorBrush)
                Else
                    result = New SolidColorBrush(Colors.White)
                End If
            End If

            Return result
        End Function

        Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.ConvertBack
            Throw New NotImplementedException
        End Function
    End Class
End Namespace