﻿' 
'    Copyright (c) 2011 Microsoft Corporation.  All rights reserved.
'    Use of this sample source code is subject to the terms of the Microsoft license 
'    agreement under which you licensed this sample source code and is provided AS-IS.
'    If you did not accept the terms of the license agreement, you are not authorized 
'    to use this sample source code.  For the terms of the license, please see the 
'    license agreement between you and Microsoft.
'  
'    To see the MSDN article about this app, visit http://go.microsoft.com/fwlink/?LinkId=247592 
'  
'
Imports System.Windows.Data

Namespace Converters
    Public Class IsReadToFontFamilyConverter
        Implements IValueConverter

        Public Function Convert(ByVal value As Object, ByVal targetType As System.Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.Convert
            If Nothing IsNot value Then
                Return (If(CBool(value), Application.Current.Resources("PhoneFontFamilySemiLight"), Application.Current.Resources("PhoneFontFamilySemiBold")))
            End If
            Return Application.Current.Resources("PhoneFontFamilySemiLight")
        End Function

        Public Function ConvertBack(ByVal value As Object, ByVal targetType As System.Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.ConvertBack
            Dim fontFamily As FontFamily = TryCast(value, FontFamily)
            If Nothing IsNot fontFamily Then
                Return fontFamily Is Application.Current.Resources("PhoneFontFamilySemiLight")
            End If
            Return False
        End Function
    End Class
End Namespace