﻿' 
'    Copyright (c) 2011 Microsoft Corporation.  All rights reserved.
'    Use of this sample source code is subject to the terms of the Microsoft license 
'    agreement under which you licensed this sample source code and is provided AS-IS.
'    If you did not accept the terms of the license agreement, you are not authorized 
'    to use this sample source code.  For the terms of the license, please see the 
'    license agreement between you and Microsoft.
'  
'    To see the MSDN article about this app, visit http://go.microsoft.com/fwlink/?LinkId=247592 
'  
'

Imports System.Windows.Navigation
Imports FeedCast.ViewModels

Namespace RSS_Reader_Mockup
    Partial Public Class SharePage
        Inherits PhoneApplicationPage

        Private URL As String

        Public Sub New()
            InitializeComponent()
        End Sub

        Protected Overrides Sub OnNavigatedTo(ByVal e As NavigationEventArgs)
            MyBase.OnNavigatedTo(e)

            ' Retrieve the url to send.
            If Not NavigationContext.QueryString.TryGetValue("url", URL) Then
                Throw New ArgumentException("Could not get 'URL' query string.")
            End If
        End Sub

        Private Sub OnMessagingTap(ByVal sender As Object, ByVal e As EventArgs)
            If Nothing IsNot URL Then
                ShareUtility.ShareSMS(URL)
            End If
        End Sub

        Private Sub OnEmailTap(ByVal sender As Object, ByVal e As EventArgs)
            If Nothing IsNot URL Then
                ShareUtility.ShareEmail(URL)
            End If
        End Sub

        Private Sub OnSocialTap(ByVal sender As Object, ByVal e As EventArgs)
            If Nothing IsNot URL Then
                ShareUtility.ShareLink(URL)
            End If
        End Sub
    End Class
End Namespace